Index: textproc/latex2html/Makefile
===================================================================
diff -u textproc/latex2html/Makefile.orig textproc/latex2html/Makefile
--- textproc/latex2html/Makefile.orig	Sun Jul 27 16:24:11 2003
+++ textproc/latex2html/Makefile	Sun Jul 27 16:25:52 2003
@@ -21,8 +21,14 @@
 # Global variables
 #

+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
 BUILD_DEPENDS=	${LOCALBASE}/bin/latex:${PORTSDIR}/print/teTeX \
-		${LOCALBASE}/bin/gs:${PORTSDIR}/print/ghostscript-gnu \
+		${LOCALBASE}/bin/gs:${PORTSDIR}/${GSPORT} \
 		${LOCALBASE}/bin/anytopnm:${PORTSDIR}/graphics/netpbm
 RUN_DEPENDS=	${BUILD_DEPENDS}

@@ -41,6 +47,17 @@
 #

 DOC_FILES=	FAQ INSTALL LICENSE README
+
+# Inform message
+#
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 # Port-patch
 #
